=== debian/control ===
Source: ros-foxy-moveit-ros-planning-interface
Section: misc
Priority: optional
Maintainer: Michael Ferguson <mferguson@fetchrobotics.com>
Build-Depends: debhelper (>= 9.0.0), libeigen3-dev, python3-dev, ros-foxy-ament-cmake, ros-foxy-ament-cmake-gtest, ros-foxy-ament-lint-auto, ros-foxy-eigen3-cmake-module, ros-foxy-geometry-msgs, ros-foxy-moveit-common, ros-foxy-moveit-core, ros-foxy-moveit-msgs, ros-foxy-moveit-planners-ompl, ros-foxy-moveit-resources-fanuc-moveit-config, ros-foxy-moveit-resources-panda-moveit-config, ros-foxy-moveit-ros-move-group, ros-foxy-moveit-ros-planning, ros-foxy-moveit-ros-warehouse, ros-foxy-moveit-simple-controller-manager, ros-foxy-rclcpp, ros-foxy-rclcpp-action, ros-foxy-rclpy, ros-foxy-ros-testing, ros-foxy-rviz2, ros-foxy-tf2, ros-foxy-tf2-eigen, ros-foxy-tf2-geometry-msgs, ros-foxy-tf2-ros, ros-foxy-ros-workspace
Homepage: http://moveit.ros.org
Standards-Version: 3.9.2

Package: ros-foxy-moveit-ros-planning-interface
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, python3-dev, ros-foxy-geometry-msgs, ros-foxy-moveit-core, ros-foxy-moveit-msgs, ros-foxy-moveit-ros-move-group, ros-foxy-moveit-ros-planning, ros-foxy-moveit-ros-warehouse, ros-foxy-rclcpp, ros-foxy-rclcpp-action, ros-foxy-rclpy, ros-foxy-tf2, ros-foxy-tf2-eigen, ros-foxy-tf2-geometry-msgs, ros-foxy-tf2-ros, ros-foxy-ros-workspace
Description: Components of MoveIt that offer simpler interfaces to planning and execution
